diff -ruN ../nakedmudv3.1/lib/pymodules/cmd_admin.py lib/pymodules/cmd_admin.py
--- ../nakedmudv3.1/lib/pymodules/cmd_admin.py	Wed Dec 31 17:00:00 1969
+++ lib/pymodules/cmd_admin.py	Sat Jul  1 20:07:04 2006
@@ -0,0 +1,215 @@
+################################################################################
+#
+# cmd_admin.py
+#
+# commands available only to admins.
+#
+################################################################################
+from mud import *
+from mudsys import add_cmd
+import mudsys, inform, char
+
+
+
+def cmd_shutdown(ch, cmd, arg):
+    '''boom! shut the mud down'''
+    mudsys.do_shutdown()
+
+def cmd_shutdown_net(ch, cmd, arg):
+    '''a trap to make sure we spell shutdown out completely'''
+    ch.send("You must spell out shutdown completely!")
+
+def cmd_copyover(ch, cmd, arg):
+    '''restart the mud, but keep all sockets attached'''
+    mudsys.do_copyover()
+
+def cmd_copyover_net(ch, cmd, arg):
+    '''a trap to make sure we spell copyover out completely'''
+    ch.send("You must spell out copyover completely!")
+
+def cmd_repeat(ch, cmd, arg):
+    '''performs the same command multiple times'''
+    try:
+        times, arg = parse_args(ch, True, cmd, arg, "int string")
+    except: return
+
+    if times < 1:
+        ch.send("Commands may only be repeated a positive number of times.")
+    else:
+        for i in range(times):
+            ch.act(arg, True)
+
+def cmd_pulserate(ch, cmd, arg):
+    '''changes the number of pulses the mud experiences each second'''
+    if arg == '':
+        ch.send("The mud currently has "+mudsys.sys_getval("pulses_per_second")+
+                "pulses per second.")
+    else:
+        pulserate = atoi(arg)
+        if pulserate == 0 or 1000 % pulse != 0:
+            ch.send("The number of pulses per second must divide 1000.")
+        else:
+            mudsys.sys_setval("pulses_per_second", str(pulserate))
+            ch.send("The mud's new pulse rate is %d pulses per second." %
+                    pulserate)
+
+def cmd_lockdown(ch, cmd, arg):
+    '''Locks the game for anyone not a member of one of the user groups
+       we specify.'''
+    if arg == '':
+        lockdown = mudsys.sys_getval("lockdown")
+        if lockdown == '':
+            ch.send("Lockdown is currently off.")
+        else:
+            ch.send("Lockdown is currently to members not of: " + lockdown)
+            ch.send("To turn off lockdown, use {clockdown off{n")
+
+    elif arg.lower() == "off":
+        ch.send("Lockdown disabled.")
+        mudsys.sys_setval("lockdown", "")
+
+    # make sure we're not locking ourself out
+    elif not ch.isInGroup(arg):
+        ch.send("You cannot lock yourself out!")
+
+    else:
+        ch.send("MUD locked down to everyone not in groups: " + arg)
+        mudsys.sys_setval("lockdown", arg)
+
+        # kick out everyone who we've just locked out
+        for ch in Char.char_list():
+            if ch.is_pc and not ch.isInGroup(arg):
+                ch.send("The mud has just been locked down to you.")
+                mudsys.do_save(ch)
+                mudsys.do_disconnect(ch)
+                extract_mob(ch)
+
+def cmd_at(ch, cmd, arg):
+    '''Perform a command at another room or person'''
+    try:
+        found, type, arg = parse_args(ch, True, cmd, arg,
+                                      "{ room ch.world.noself } string")
+    except: return
+
+    # figure out what room we're doing the command at
+    if type == "char":
+        room = found.room
+    else:
+        room = found
+
+    # transfer us over to the new room, do the command, then transfer back
+    old_room = ch.room
+    ch.room  = room
+    ch.act(arg, True)
+    ch.room  = old_room
+
+def try_force(ch, vict, cmd):
+    '''tries to force a person to do something'''
+    if ch == vict:
+        ch.send("Why don't you just try doing it?")
+    elif vict.isInGroup("admin"):
+        ch.send("But " + vict.name + " has just as many priviledges as you!")
+    else:
+        ch.send("You force " + vict.name + " to '" + cmd + "'")
+        vict.send(inform.see_char_as(vict, ch) + " forces you to '" + cmd + "'")
+        vict.act(cmd, False)
+
+def cmd_force(ch, cmd, arg):
+    '''force someone to execute a command'''
+    try:
+        found, multi, arg = parse_args(ch, True, cmd, arg,
+                                       "ch.world.noself.multiple string")
+    except: return
+
+    if multi == False:
+        try_force(ch, found, arg)
+    else:
+        for vict in found:
+            try_force(ch, vict, arg)
+
+def cmd_goto(ch, cmd, arg):
+    '''Go to a specific room, object, or character in the game. Rooms are
+       referenced by vnum. Everything else is referenced by name.
+       usage: goto <thing>
+       
+       examples:
+         goto room@zone       go to room in zone
+         goto jim             go to an object/person named jim'''
+    try:
+        found, type = parse_args(ch, True, cmd, arg, "{ room ch.world.noself }")
+    except: return
+
+    # what did we find?
+    if type == "char":
+        dest = found.room
+    else:
+        dest = found
+
+    message(ch, None, None, None, True, "to_room",
+            "$n disappears in a puff of smoke.")
+    ch.room = dest
+    ch.act("look")
+    message(ch, None, None, None, True, "to_room",
+            "$n appears in a puff of smoke.")
+
+def do_transfer(ch, tgt, dest):
+    '''ch transfers tgt to dest'''
+    if tgt.room == dest:
+        ch.send(tgt.name + " is already there")
+    else:
+        tgt.send(inform.see_char_as(tgt, ch) + " has transferred you to " +
+                 dest.name)
+        message(tgt, None, None, None, True, "to_room",
+                "$n disappears in a puff of smoke.")
+        tgt.room = dest
+        tgt.act("look", False)
+        message(tgt, None, None, None, True, "to_room",
+                "$n arrives in a puff of smoke.")
+
+def cmd_transfer(ch, cmd, arg):
+    '''The opposite of goto. Instead of moving to a specified location, it
+       takes the target to the user.
+       usage: transfer <player> [[to] room]'''
+    try:
+        found, multi, dest = parse_args(ch, True, cmd, arg,
+                                        "ch.world.multiple.noself | [to] room")
+    except: return
+
+    # if we didn't supply a room, use our own
+    if dest == None:
+        dest = ch.room
+
+    # do our transfers
+    if multi == False:
+        do_transfer(ch, found, dest)
+    else:
+        for tgt in found:
+            do_transfer(ch, tgt, dest)
+
+
+
+################################################################################
+# add our commands
+################################################################################
+add_cmd("shutdow", None, cmd_shutdown_net, "unconcious", "flying", "admin",
+        False, False)
+add_cmd("shutdown", None, cmd_shutdown, "unconcious", "flying", "admin",
+        False, False)
+add_cmd("copyove", None, cmd_copyover_net, "unconcious", "flying", "admin",
+        False, False)
+add_cmd("copyover", None, cmd_copyover, "unconcious", "flying", "admin",
+        False, False)
+add_cmd("at", None, cmd_at, "unconcious", "flying", "admin",
+        False, False)
+add_cmd("lockdown", None, cmd_lockdown, "unconcious", "flying", "admin",
+        False, False)
+add_cmd("pulserate", None, cmd_pulserate, "unconcious", "flying", "admin",
+        False, False)
+add_cmd("repeat", None, cmd_repeat, "unconcious", "flying", "admin",
+        False, False)
+add_cmd("force", None, cmd_force, "sitting", "flying", "admin",
+        False, False)
+add_cmd("goto", None, cmd_goto, "sitting", "flying", "admin",
+        False, False)
+add_cmd("transfer", None, cmd_transfer, "sitting", "flying", "admin",
+        False, False)
diff -ruN ../nakedmudv3.1/lib/pymodules/cmd_comm.py lib/pymodules/cmd_comm.py
--- ../nakedmudv3.1/lib/pymodules/cmd_comm.py	Wed Dec 31 17:00:00 1969
+++ lib/pymodules/cmd_comm.py	Sat Jul  1 20:07:04 2006
@@ -0,0 +1,163 @@
+################################################################################
+#
+# cmd_comm.c
+#
+# Various commands used in NakedMud(tm) for communicating with other
+# characters, and NPCs.
+#
+################################################################################
+from mud import *
+from mudsys import add_cmd
+import inform, hooks
+
+
+
+def cmd_ask(ch, cmd, arg):
+    '''cmd_ask is used to pose a question to another character. Mostly, this is
+       intended to be used to carry on dialogs with NPCs. Ask has a local range
+       (i.e. you can only ask people in the same room as you questions)
+       usage: ask <person> [about] <question>
+
+       examples:
+         ask bob about cats           ask bob about the topic, "cats"
+         ask jim can I have a salad?  ask jim if you can have a salad'''
+    try:
+        tgt, question = parse_args(ch, True, cmd, arg,
+                                   "ch.room.noself [about] string")
+    except: return
+
+    question = question.replace("$", "$$")
+    message(ch, tgt, None, None, False, "to_vict",
+            "{w$n asks you, '" + question + "'{n")
+    message(ch, tgt, None, None, False, "to_char",
+            "{wYou ask $N, '" + question + "'{n")
+
+    # run our ask hooks
+    hooks.run("ask", hooks.build_info("ch ch str", (ch, tgt, question)))
+
+def cmd_tell(ch, cmd, arg):
+    '''cmd_tell sends a message to another character. Primarily intended for
+       player-player communication. Players can tell other players things even
+       if they are not in the same room.
+       usage: tell <person> <mesage>
+       
+       examples:
+         tell luke I am your father'''
+    try:
+        tgt, mssg = parse_args(ch, True, cmd, arg, "ch.world.noself string")
+    except: return
+
+    mssg = mssg.replace("$", "$$")
+    message(ch, tgt, None, None, False, "to_vict",
+            "{r$n tells you, '" + mssg + "'{n")
+    message(ch, tgt, None, None, False, "to_char",
+            "{rYou tell $N, '" + mssg + "'{n")
+
+def cmd_chat(ch, cmd, arg):
+    '''cmd_chat sends a message to all of the players currently logged on.
+       usage: chat <message>
+
+       example:
+         chat hello, world!'''
+    if arg == '':
+        ch.send("Chat what?")
+    else:
+        arg = arg.replace("$", "$$")
+        message(ch, None, None, None, False, "to_world",
+                "{y$n chats, '" + arg + "'{n")
+        message(ch, None, None, None, False, "to_char",
+                "{yyou chat, '" + arg + "'{n")
+
+def cmd_say(ch, cmd, arg):
+    '''cmd_say sends a message to everyone in the same room as you. Say, like
+       ask, can trigger NPC dialogs.
+       usage: say <message>
+
+       example:
+         say hello, room!'''
+    if arg == '':
+        send_to_char(ch, "Say what?")
+    else:
+        arg = arg.replace("$", "$$")
+        message(ch, None, None, None, False, "to_room",
+                "{y$n says, '" + arg + "'{n")
+        message(ch, None, None, None, False, "to_char",
+                "{yyou say, '" + arg + "'{n")        
+
+        # run say hooks
+        hooks.run("say", hooks.build_info("ch str", (ch, arg)))
+
+def cmd_greet(ch, cmd, arg):
+    '''NPCs with dialogs will often have something to say when you
+       greet/approach then. cmd_greet is a way to get them talking.
+       usage: greet <person>
+
+       examples:
+         greet mayor'''
+    try:
+        tgt, = parse_args(ch, True, cmd, arg, "ch.room.noself")
+    except: return
+
+    message(ch, tgt, None, None, False, "to_char", "You greet $N.")
+    message(ch, tgt, None, None, False, "to_vict", "$n greets you.")
+    message(ch, tgt, None, None, False, "to_room", "$n greets $N.")
+
+    # run greet hooks
+    hooks.run("greet", hooks.build_info("ch ch", (ch, tgt)))
+
+def cmd_emote(ch, cmd, arg):
+    '''Send a special text message to the room you are in. The message is
+       preceded by your name, unless you put a $n somewhere in the text, in
+       which case the $n is replaced by your name.
+       usage: emote <message>
+
+       examples:
+         emote does a little dance.
+         emote A gunshot sounds, and $n is laying on the ground, dead.'''
+    if arg == '':
+        send_to_char(ch, "Emote we must, but emote what?")
+    else:
+        # see if a $n is within the argument ... if there is, let the person
+        # put his or her name where it's wanted. Otherwise, tag it onto the
+        # front of the message
+        if arg.find("$n") == -1:
+            arg = "$n " + arg
+        message(ch, None, None, None, False, "to_room, to_char", arg)
+
+def cmd_gemote(ch, cmd, arg):
+    '''cmd_gemote is similar to emote, but it sends a global message'''
+    if arg == '':
+        send_to_char(ch, "Gemote we must, but gemote what?")
+    else:
+        # same as emote, but global
+        if arg.find("$n") == -1:
+            arg = "$n " + arg
+        message(ch, None, None, None, False, "to_world, to_char",
+                "{bGLOBAL:{c " + arg + "{n")
+
+def cmd_page(ch, cmd, arg):
+    '''Send a message to another character, and also make it beep'''
+    try:
+        tgt, mssg = parse_args(ch, True, cmd, arg, "ch.world.noself string")
+    except: return
+    ch.send("\007\007You page " + inform.see_char_as(ch, tgt))
+    tgt.send("\007\007*" + inform.see_char_as(tgt, ch) + "* " + mssg)
+
+
+
+################################################################################
+# add our commands
+################################################################################
+add_cmd("ask",     None, cmd_ask,   "sitting", "flying", "player", False, False)
+add_cmd("say",     None, cmd_say,   "sitting", "flying", "player", False, False)
+add_cmd("'",       None, cmd_say,   "sitting", "flying", "player", False, False)
+add_cmd("tell",    None, cmd_tell,  "sitting", "flying", "player", False, False)
+add_cmd("chat",    None, cmd_chat,  "sitting", "flying", "player", False, False)
+add_cmd("gossip",  None, cmd_chat,  "sitting", "flying", "player", False, False)
+add_cmd("\"",      None, cmd_chat,  "sitting", "flying", "player", False, False)
+add_cmd("page",    None, cmd_page,  "sitting", "flying", "player", False, False)
+add_cmd("greet",   None, cmd_greet, "sitting", "flying", "player", False, False)
+add_cmd("approach",None, cmd_greet, "sitting", "flying", "player", False, False)
+add_cmd("emote",   None, cmd_emote, "sitting", "flying", "player", False, False)
+add_cmd("gemote",  None, cmd_gemote,"sitting", "flying", "player", False, False)
+add_cmd(":",       None, cmd_emote, "sitting", "flying", "player", False, False)
diff -ruN ../nakedmudv3.1/lib/pymodules/cmd_inform.py lib/pymodules/cmd_inform.py
--- ../nakedmudv3.1/lib/pymodules/cmd_inform.py	Wed Dec 31 17:00:00 1969
+++ lib/pymodules/cmd_inform.py	Sat Jul  1 20:07:04 2006
@@ -0,0 +1,77 @@
+################################################################################
+#
+# cmd_inform.py
+#
+# Contains various commands that are informative in nature. For instance, look,
+# equipment, inventory, etc...
+#
+################################################################################
+from mud import *
+from inform import *
+from mudsys import add_cmd
+import utils
+
+
+
+################################################################################
+# utility functions
+################################################################################
+def cmd_inventory(ch, cmd, arg):
+    '''displays the character inventory to himself'''
+    if len(ch.inv) == 0:
+        ch.send("You are not carrying anything.")
+    else:
+        ch.send("{gYou are carrying:")
+        visible = utils.find_all_objs(ch, ch.inv, "", None, True)
+        utils.show_list(ch, visible, lambda(x): x.name, lambda(x): x.mname)
+
+
+def cmd_equipment(ch, cmd, arg):
+    '''displays a character\'s equipment to himself'''
+    ch.send("You are wearing:")
+    show_equipment(ch, ch)
+
+def cmd_who(ch, cmd, arg):
+    '''lists who is all online to the character'''
+    ch.page(build_who())
+    
+def cmd_look(ch, cmd, arg):
+    '''allows players to examine just about anything in the game'''
+    if arg == '':
+        inform.look_at_room(ch, ch.room)
+    else:
+        found, type = generic_find(ch, arg, "all", "immediate", False)
+
+        # what did we find?
+        if found == None:
+            ch.send("What did you want to look at?")
+        elif type == "obj" or type == "in":
+            inform.look_at_obj(ch, found)
+        elif type == "char":
+            inform.look_at_char(ch, found)
+        elif type == "exit":
+            inform.look_at_exit(ch, found)
+
+        # extra descriptions as well
+        ############
+        # FINISH ME
+        ############
+
+
+
+################################################################################
+# add our commands
+################################################################################
+add_cmd("inventory", "inv", cmd_inventory, "sitting", "flying",
+        "player", True, False)
+add_cmd("equipment", "eq",  cmd_equipment, "sitting", "flying",
+        "player", True, False)
+add_cmd("worn",      None,  cmd_equipment, "sitting", "flying",
+        "player", True, False)
+add_cmd("who",       None,  cmd_who,       "sitting", "flying",
+        "player", True, False)
+
+'''
+add_cmd("look",      "l",   cmd_look,      "sitting", "flying",
+        "player", True, False)
+'''
